BINKD(8)

NOM
binkd — Transfert de fichiers entre deux systèmes Fidonet avec TCP/IP

SYNOPSIS
binkd [-CcDipqrsvdmh] [ -P nœud ] fichier_configuration

DESCRIPTION
binkd est un diffuseur de courriel conçu pour fonctionner sur les réseaux TCP/IP. En tant que démon internet compatible avec FTN, il permet d’utiliser efficacement la suite de protocoles TCP/IP comme couche transport dans les réseaux basés sur FTN (« Fido Technology Network »).

binkd requiert une file d’attente (spool) pour les réseaux de style « Fido » au format BSO (« Bink style outbound ») ou éventuellement ASO (« Amiga style outbound »). Le format BSO est aussi utilisé par les diffuseurs de courriel ifmail(8) et BinkleyTerm.

OPTIONS

-C  Avec cette option, binkd relit le fichier de configuration s’il a été modifié. L’horodatage de la modification du fichier de configuration est vérifié toutes les 60 secondes et à chaque connexion entrante ou sortante.

-c  Ne démarrer que le client. Normalement, binkd démarre le serveur et le client.

-D  Exécuter binkd en tant que démon (cette option ne peut pas être utilisée en mode client seul).

-i  Exécuter binkd depuis inetd(8).

-P  Sondage d’un nœud. Un fichier vide *.ilo sera créé dans le répertoire de sortie, ce qui forcera binkd à se connecter au nœud et à recevoir le courrier provenant de ce nœud (binkd ajoutera également l’enregistrement « Node nœud * - » à la table des nœuds en mémoire de binkd s’il n’existe aucune entrée pour ce nœud dans le fichier de configuration).

-p  Démarrer le gestionnaire de clients, traiter les sondages puis quitter si la file d’attente semble vide après le rebalayage suivant. Implique -c.

-q  Mode silencieux. Désactiver les directives printq, conlog et percents du fichier de configuration.

-r  Désactiver le chiffrement du trafic.

-s  Ne démarrer que le serveur. Normalement, binkd démarre le serveur et le client.

-v  Mode prolixe. Afficher la version de binkd et quitter.

-vv Afficher la version de binkd et les options intégrées.

-d  Afficher la configuration interprétée et quitter

-m  Désactiver l’autorisation CRAM-MD5. Implique -r.

-h  Afficher un message d'aide.

SIGNAUX

SIGHUP
    Recharger la configuration

ENVIRONNEMENT

BINKD_LOG
    Le nom du fichier journal. binkd utilise cette variable d’environnement si le symbole logfile n’est pas défini dans le fichier de configuration.

VOIR AUSSI
inetd(8)

La FAQ et le guide de l’utilisateur de binkd, ainsi que sa page d’accueil http://binkd.grumbler.org, http://www.corbina.net/~maloff/binkd/, ftp://happy.kiev.ua/pub/fidosoft/mailer/binkd/

AUTEURS
Dima Maloff <maloff@tts.magadan.su> entre autres.

Cette page de manuel est dérivée du « Binkd User Guide » par nsoveiko@doe.carleton.ca (Nick Soveiko).

SIGNALER DES BOGUES
Envoyer les rapports de bogue à <binkd-bugs@happy.kiev.ua>.

TRADUCTION
La traduction française de cette page de manuel a été créée par Lucien Gentis <lucien.gentis@univ-lorraine.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.